Pixmap(3p)

NAME
Tk::Pixmap - Create color images from XPM files.

SYNOPSIS
$widget->Pixmap?(name?,options?)?

DESCRIPTION
XPM is a popular X Window image file format for storing color icons. The Pixmap image type can be used to create color images using XPM files.

Pixmaps support the following options:

-data => string
    Specifies the contents of the source pixmap as a string. The string must adhere to the XPM file format (e.g., as generated by the pixmap(1) program). If both the -data and -file options are specified, the -data option takes precedence. Please note that the XPM file parsing code in the xpm library is somewhat fragile. The first line of the string must be "/* XPM */" or otherwise a segmatation fault will be caused.

-file => name
    name gives the name of a file whose contents define the source pixmap. The file must adhere to the XPM file format (e.g., as generated by the pixmap(1) program).

IMAGE METHODS
When a pixmap image is created, Tk also creates a new object. This object supports the configure and cget methods described in Tk::options which can be used to enquire and modify the options described above.

SEE ALSO
Tk::Image

KEYWORDS
pixmap, image, tix